Eclipse PDE Release 3.7

## org.eclipse.pde.core.plugin
Interface IMatchRules

All Known Subinterfaces:
  IPluginImport, IPluginReference

All Known Implementing Classes:
  PluginReference

    public interface IMatchRules

This interface contains constants used throughout the plug-in for plug-in reference matching. These rules are used to control when determining if two compared versions are equivalent.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static int` `COMPATIBLE` A match that is compatible with the required version.
`static int` `EQUIVALENT` A match that is equivalent to the required version.
`static int` `GREATER_OR_EQUAL` A match requires that a version is greater or equal to the specified version.
`static int` `NONE` No rule.
`static int` `PERFECT` An perfect match.
`static int` `PREFIX` An id match requires that the specified id is a prefix of a candidate id.
`static String` `RULE_COMPATIBLE` Attribute value for the 'compatible' rule.
`static String` `RULE_EQUIVALENT` Attribute value for the 'equivalent' rule.
`static String` `RULE_GREATER_OR_EQUAL` Attribute value for the 'greater or equal' rule
`static String[]` `RULE_NAME_TABLE` Table of rule names that match rule values defined in this interface.
`static String` `RULE_PERFECT` Attribute value for the 'perfect' rule.
`static String` `RULE_PREFIX` Attribute value for the 'prefix' id rule

Field Detail

### NONE

    static final int NONE

  No rule.

  See Also:
    Constant Field Values

### EQUIVALENT

    static final int EQUIVALENT

  A match that is equivalent to the required version.

  See Also:
    Constant Field Values

### RULE_EQUIVALENT

    static final String RULE_EQUIVALENT

  Attribute value for the 'equivalent' rule.

  See Also:
    Constant Field Values

### COMPATIBLE

    static final int COMPATIBLE

  A match that is compatible with the required version.

  See Also:
    Constant Field Values

### RULE_COMPATIBLE

    static final String RULE_COMPATIBLE

  Attribute value for the 'compatible' rule.

  See Also:
    Constant Field Values

### PERFECT

    static final int PERFECT

  An perfect match.

  See Also:
    Constant Field Values

### RULE_PERFECT

    static final String RULE_PERFECT

  Attribute value for the 'perfect' rule.

  See Also:
    Constant Field Values

### GREATER_OR_EQUAL

    static final int GREATER_OR_EQUAL

  A match requires that a version is greater or equal to the specified version.

  See Also:
    Constant Field Values

### RULE_GREATER_OR_EQUAL

    static final String RULE_GREATER_OR_EQUAL

  Attribute value for the 'greater or equal' rule

  See Also:
    Constant Field Values

### PREFIX

    static final int PREFIX

  An id match requires that the specified id is a prefix of a candidate id.

  See Also:
    Constant Field Values

### RULE_PREFIX

    static final String RULE_PREFIX

  Attribute value for the 'prefix' id rule

  See Also:
    Constant Field Values

### RULE_NAME_TABLE

    static final String[] RULE_NAME_TABLE

  Table of rule names that match rule values defined in this interface. It can be used directly against the rule values used in plug-in models.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.